package egovframework.service;

import egovframework.vo.VdsStatsVO;
import org.springframework.core.io.Resource;
import org.springframework.http.ResponseEntity;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface TrafficStatsService {

    List<Map<String, Object>> getVertexHistoryByRoadText(Map<String, String> paramMap);

    List<Map<String, Object>> getAtrdNm();

    List<Map<String, Object>> getVdsCtlrList();

    List<VdsStatsVO> getVdsStatsInfo(HashMap<String, String> paramMap);

    ResponseEntity<Resource> exportExcel(Map<String, String> paramMap);
}
